from __future__ import absolute_import
from setuptools import setup, find_packages
import os


class PackageInfo(object):
    def __init__(self, info_file):
        with open(info_file) as f:
            exec(f.read(), self.__dict__)
        self.__dict__.pop('__builtins__', None)

    def __getattribute__(self, name):
        return super(PackageInfo, self).__getattribute__(name)


package_info = PackageInfo(os.path.join('fdamod', 'package_info.py'))


install_requires = ['dimod>=0.9.13,<0.10.0',
                    'dwave-cloud-client>=0.6.0,<0.9.0',
                    'pyqubo>=1.0.8,<1.1.0',
                    'numpy>=1.14.0,<2.0.0',
                    'six>=1.10.0,<2.0.0']

python_requires = '>=3.5'

setup(
    name=package_info.__package_name__,
    version=package_info.__version__,
    description=package_info.__description__,
    author=package_info.__contact_names__,
    author_email=package_info.__contact_emails__,
    url=package_info.__homepage__,
    license=package_info.__license__,
    install_requires=install_requires,
    include_package_data=True,
    packages=find_packages(exclude='test'),
    keywords=package_info.__keywords__,
    classifiers=[
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'License :: OSI Approved :: Apache Software License',
    ],
)
